package es.mde.restaurante.entidades;

public class Carne extends Comida {

	private TipoCarne tipoCarne;
	private Double gramosRacion;
	private Double caloriasRacion;

	public Carne(String nombreEnLaCarta, Double precio, TipoCarne tipoCarne, Double gramosRacion,
			Double caloriasRacion) {
		super(nombreEnLaCarta, precio);
		this.tipoCarne = tipoCarne;
		this.gramosRacion = gramosRacion;
		this.caloriasRacion = caloriasRacion;
	}

	public TipoCarne getTipoCarne() {
		return tipoCarne;
	}

	public void setTipoCarne(TipoCarne tipoCarne) {
		this.tipoCarne = tipoCarne;
	}

	public Double getGramosRacion() {
		return gramosRacion;
	}

	public void setGramosRacion(Double gramosRacion) {
		this.gramosRacion = gramosRacion;
	}

	public Double getCaloriasRacion() {
		return caloriasRacion;
	}

	public void setCaloriasRacion(Double caloriasRacion) {
		this.caloriasRacion = caloriasRacion;
	}

	@Override
	public String toString() {
		return "Carne [tipoCarne=" + tipoCarne + ", gramosRacion=" + gramosRacion + ", caloriasRacion=" + caloriasRacion
				+ ", getNombreEnLaCarta()=" + getNombreEnLaCarta() + ", getPrecio()=" + getPrecio() + "]";
	}

}
