package es.mde.restaurante.entidades;

import java.time.LocalDateTime;

public class Marisco extends Comida {

	private String tipoMarisco;
	private String origen;
	private LocalDateTime fechaCaptura;

	public Marisco(String nombreEnLaCarta, Double precio, String origen, LocalDateTime fechaCaptura) {
		super(nombreEnLaCarta, precio);
		this.origen = origen;
		this.fechaCaptura = fechaCaptura;
	}

	public String getTipoMarisco() {
		return tipoMarisco;
	}

	public void setTipoMarisco(String tipoMarisco) {
		this.tipoMarisco = tipoMarisco;
	}

	public String getOrigen() {
		return origen;
	}

	public void setOrigen(String origen) {
		this.origen = origen;
	}

	public LocalDateTime getFechaCaptura() {
		return fechaCaptura;
	}

	public void setFechaCaptura(LocalDateTime fechaCaptura) {
		this.fechaCaptura = fechaCaptura;
	}

	@Override
	public String toString() {
		return "Marisco [tipoMarisco=" + tipoMarisco + ", origen=" + origen + ", fechaCaptura=" + fechaCaptura
				+ ", getNombreEnLaCarta()=" + getNombreEnLaCarta() + ", getPrecio()=" + getPrecio() + "]";
	}

}
