package es.mde;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Import;
import es.mde.restaurante.entidades.Pedido;

@SpringBootApplication
//@ImportResource({ "config.xml" })
@Import({ ConfiguracionPorJava.class })
public class RestauranteCasaPorrasApplication {

	public static void main(String[] args) {
		ConfigurableApplicationContext context = SpringApplication.run(RestauranteCasaPorrasApplication.class, args);

		Pedido beanPedido = context.getBean(Pedido.class);
		System.out.println(beanPedido);
		
		context.close();

	}

}
