package es.mde.restaurante.entidades;

import java.time.Instant;
import java.util.Collection;

public class Pedido {

	private Instant fechaPedido;
	private Collection<Comida> contenidoPedido;
	private Double importePedido;
	private Double pedidoMinimo;
	private String idioma;

	public Pedido() {
		super();
	}

	public Pedido(Collection<Comida> contenidoPedido, Double importePedido) {
		super();
		this.fechaPedido = Instant.now();
		this.contenidoPedido = contenidoPedido;
		this.importePedido = importePedido;
	}

	public Instant getFechaPedido() {
		return fechaPedido;
	}

	public void setFechaPedido(Instant fechaPedido) {
		this.fechaPedido = fechaPedido;
	}

	public Collection<Comida> getContenidoPedido() {
		return contenidoPedido;
	}

	public void setContenidoPedido(Collection<Comida> contenidoPedido) {
		this.contenidoPedido = contenidoPedido;
	}

	public Double getImportePedido() {
		return importePedido;
	}

	public void setImportePedido(Double importePedido) {
		this.importePedido = importePedido;
	}

	public Double getPedidoMinimo() {
		return pedidoMinimo;
	}

	public void setPedidoMinimo(Double pedidoMinimo) {
		this.pedidoMinimo = pedidoMinimo;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String idioma) {
		this.idioma = idioma;
	}

	@Override
	public String toString() {
		return "Pedido [fechaPedido=" + fechaPedido + ", contenidoPedido=" + contenidoPedido + ", importePedido="
				+ importePedido + ", pedidoMinimo=" + pedidoMinimo + ", idioma=" + idioma + "]";
	}

}
